import cv2

cam = cv2.VideoCapture(0)

print("Checking if the image acquisition works")
while True:
    ret, img = cam.read()
    cv2.imshow("Raw Image", img)
    if cv2.waitKey(1) == ord('q'):
        break

cv2.destroyAllWindows()

face_cascade = cv2.CascadeClassifier('haarcascade_frontalface_default.xml')

while True:
    ret, img = cam.read()
    img = cv2.resize(img, (640, 480))
    gray = cv2.cvtColor(img, cv2.COLOR_BGR2GRAY)
    faces = face_cascade.detectMultiScale(gray, 1.3, 5)

    for (x,y,w,h) in faces:
        cv2.rectangle(img, (x, y), (x + w, y + h), (0, 0, 255), 2)

    cv2.imshow("Faces", img)
    if cv2.waitKey(1) == ord('q'):
        break
